如何找到我的 Apple 开发团队 ID 和团队代理 Apple ID?

我想转移一个应用程序。我找不到我的团队代理人 Apple ID 和我的团队 ID。我以前找到过它,我已经搜索了30分钟,但没有任何运气,现在我需要它。

试图将应用程序转移给我的人可以查看这张图片,但我不知道在哪里可以找到这些信息。

The person trying to transfer the app to me gets to this view and I don't know where to find this info.

187268 次浏览

你可以在这里找到你的团队 ID:

Https://developer.apple.com/account/#/membership

这将让您到您的会员资格详细信息,只需向下滚动到 队员证

苹果改变了界面。

团队 ID 可以通过这个链接找到: Https://developer.apple.com/account/#/membership

如果你在 OSX 上,你也可以找到你的钥匙链。您的开发人员和分发证书中包含您的团队 ID。

应用程式-> 实用程式-> 钥匙链接达。

在“ login”Keychain 下,进入“凭证”类别。

滚动查找您的开发或发行证书。它们将显示:

IPhone 的发行版: 队名(证书 ID)

或者

IPhone 开发者: 队名(证书 ID)

只需在该项上使用 双击,而

“组织单位”

是“团队 ID”

enter image description here

注意,这是找到您的

“私人团队”的证件

你不能在苹果的网页界面上找到“个人团队”的 ID。

例如,如果你正在自动化一个来自 say Unity 的构建,在开发过程中,你会希望它作为你的“个人团队”出现在 Xcode ——这是获得这个价值的唯一途径。

即使你不是付费用户,你也可以通过一些方法进行检查。 你可以从 Xcode 确认团队身份。 [构建设置]显示在开发团队的工具提示上。

私人球队

grep DEVELOPMENT_TEAM MyProject.xcodeproj/project.pbxproj

应该会给你队员证

DEVELOPMENT_TEAM = ZU88ND8437;

我想从命令行(Terminal)获取这个命令,所以我编写了这个 bash 脚本

链接到 大意

#!/usr/bin/env bash


#requires openssl@3 from Homebrew
_openssl=$(brew --prefix openssl 2>/dev/null)/bin/openssl
[[ -x $_openssl ]] || { echo "missing openssl, try \`brew install openssl\`"; exit 1; }


#find development cert
id=$(security find-identity -v -p codesigning | head -1)
[[ -n $id ]] || exit 1
cn=$(sed -En 's/^.*Apple Development.*\((.*)\).*$/\1/p' <<<"$id")
sha1=$(sed -En 's/^.*([A-F0-9]{40}).*$/\1/p' <<<"$id")
[[ -n $cn && -n $sha1 ]] || { echo "could not find valid development cert"; exit 1; }


#make temp dir
outdir=$(mktemp -d /private/tmp/teamid.XXXXXX)
[[ -n $outdir ]] || { echo "error creating temp dir"; exit 1; }


#export cert
if ! security find-certificate -c "$cn" -Z -p >"${outdir}/${cn}.pem"; then
echo "error exporting cert from Keychain"
exit 1
fi


#check for hash match
certhash=$(awk -F: '/SHA-1 hash:/{sub(" ","",$2); print $2}' "${outdir}/${cn}.pem")
[[ "$certhash" == "$sha1" ]] || { echo "hash mismatch!"; exit 1; }


#output DEVELOPMENT_TEAM
$_openssl x509 -in "${outdir}/${cn}.pem" -subject -noout |
sed -En 's/.*OU = ([^,]+),.*$/\1/p'


#cleanup
rm -r "${outdir:?}"

现在在 证书、身份证明及个人资料的右上角,第一行是你的名字,第二行是你的名字,右边是团队 ID。

对于一个振荡项目和个人团队。

导航到以下地址并搜索 DEVELOPMENT_TEAM 你应该找到一些像这样的 DEVELOPMENT_TEAM = 64F9WR9M48

ios/Runner.xcodeproj/project.pbxproj

enter image description here